repo/gentoo:master commit in: dev-python/hypothesis/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786944276.632179d452163f731bb389d6dd3d5c4e0a89150e.mgorny@gentoo> |
commit: 632179d452163f731bb389d6dd3d5c4e0a89150e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 17 04:41:51 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 05:24:36 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=632179d4
dev-python/hypothesis: Bump to 6.165.10
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/hypothesis/Manifest | 1 +
dev-python/hypothesis/hypothesis-6.165.10.ebuild | 143 +++++++++++++++++++++++
2 files changed, 144 insertions(+)
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 69b8e2d59f04..7160d727b6e6 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -10,6 +10,7 @@ DIST hypothesis-6.161.8.gh.tar.gz 9649785 BLAKE2B 7058bec35557b223b4539401c830a8
DIST hypothesis-6.164.0.gh.tar.gz 9665401 BLAKE2B 9d5c5fc98191166cb0da35ac03ae5a377dd5c6d77144974d1b76e8e83368bbf0ad24d3c9ab6cf9758b77db59a5c5863b6ede859f91749ca5ded863fef554d9c8 SHA512 081e8643a6046eebfa4eec792ec001420e07be1acccbe6fc738a7baf476fa705991b34072d5b04dcf1a88ab77b90d6c26f99ee9edb2c1439cef54f16120e0def
DIST hypothesis-6.165.0.gh.tar.gz 9669080 BLAKE2B fae1270a51d0dada2554b9446f9a97d6de05ac4d1f1d7e463ec63ca0bece1a90afed8b799fa53da5ba6bd14c10ed69d18bede30b1eef3af5b5bce65c8b362aec SHA512 997fbe2c06e3a855cf450d71b69c1d483175c58428683534978eb839f5e466635355eb69c43acf2c450b678ddf97e450307ab96799468b65b90f4475c178a141
DIST hypothesis-6.165.1.gh.tar.gz 9677686 BLAKE2B 89efd4cceac0e13f20651d1624fd7b3d5683a24453c61b95146a9ed84c950a37ebb908aec9334d0a338dc28b50910ccdd03c2c345fd39ee88b08d4411ec6aac6 SHA512 0b77b83adfa06664a10befb6ae90bb03b4ae8ac50227c3e568020f00767f4d899ec108cb4342259db2961cde612b2eecdfe5347629e45d4f55034bbaeb987063
+DIST hypothesis-6.165.10.gh.tar.gz 9696772 BLAKE2B 12d76870dcd6f5a4e8d4495137cd3c4a7a6a35b79a36a4de9a3069dd4c0f485720b45ee0488491f8c6d0091af4c4cda3160197eb05e16834f7615be1ea0a9716 SHA512 1c41ab3816d8943b6addfcf21980521b2c2c35c5a744a265410d012350227dee72b782b1bfc39f3f5c76da4c1e4dc2b114ef2704218ae9f7dea16684f81ffc28
DIST hypothesis-6.165.2.gh.tar.gz 9690432 BLAKE2B 3060e1bdf0e9d6a4d6cca9a505a3964a15ac2c87aece049f92107cf03c7b19fbc26a96d1cf97517fcbe682577c49296598b8e3e53566ea911bc82f8bc56497ef SHA512 0fc89a80f23a05184443f16050fc81c7a39a33e9787add96b9d56ffca43c9b6e51db1aaaa8a26d89e2d6de21c770b7b787e1580f1863a24b6ac3b2c2f29f9703
DIST hypothesis-6.165.3.gh.tar.gz 9690125 BLAKE2B 2e7e38489dd1cf0986cefb06fc825f22be31fdc2f388c9f76d379290b7a020a61aab864cbf6e6ee78ed81dae6d024e6d400b607f37e8cf79eeb610d28cec0c05 SHA512 50690692c3e230edee1c5d7c65fca50ffb359eba5ba9ed8d048997db8b61164c978e7978b91ffd93da0d786f5d49813ac34a308e225de906e5efa9b791b9db63
DIST hypothesis-6.165.4.gh.tar.gz 9693372 BLAKE2B 6f3786d9f4eca7086dcc305935d80a9f9fefe1703ac7c9299170eb3a8699f8d009744fcd8dbec0dcae2ded6343c91b8515d6b2492d81e8623d7d5deec6d2a70f SHA512 c5051671fa665d7ad7c3871e4d5ee154493c1338bd831a2260102d93fc16b52425d6778db1d6d884a43340015a8b36b9b51e5bd92f3f7b238695ee6cc0a640e1
diff --git a/dev-python/hypothesis/hypothesis-6.165.10.ebuild b/dev-python/hypothesis/hypothesis-6.165.10.ebuild
new file mode 100644
index 000000000000..bc33d435bcd7
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.165.10.ebuild
@@ -0,0 +1,143 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+CLI_COMPAT=( python3_{12..15} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" python3_{14..15}t )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+RUST_MIN_VER="1.91.0"
+CRATES="
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]+wasi-0.2.12
+ [email protected]
+ [email protected]
+ [email protected]
+"
+
+inherit cargo distutils-r1 optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+S="${WORKDIR}/${P}/hypothesis"
+
+LICENSE="MPL-2.0"
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ dev-python/hypothesis-gentoo[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-xdist )
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+QA_PREBUILT="usr/lib/python.*/site-packages/hypothesis/_native.*"
+
+python_test() {
+ # NB: paths need to be relative to pytest.ini, i.e. start with hypothesis/
+ local EPYTEST_DESELECT=(
+ # broken somehow (xdist?)
+ 'hypothesis/tests/pytest/test_constant_collection_timing.py::test_constant_collection_timing[True]'
+ )
+ local EPYTEST_IGNORE=(
+ # require syrupy
+ tests/cover/test_custom_reprs.py
+ )
+
+ case ${EPYTHON} in
+ python3.15*)
+ EPYTEST_DESELECT+=(
+ 'hypothesis/tests/cover/test_lookup.py::test_resolves_forwardrefs_to_builtin_types[sentinel]'
+ 'hypothesis/tests/cover/test_lookup.py::test_resolves_builtin_types[sentinel]'
+ 'hypothesis/tests/cover/test_lambda_formatting.py::test_modifying_lambda_source_code_returns_unknown[False]'
+ )
+ ;;
+ esac
+
+ local -x HYPOTHESIS_NO_PLUGINS=1
+ epytest tests/{cover,pytest,quality}
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}